AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.Manager
ResponseHandler Class
ResponseHandler Constructor
ResponseHandler Methods
ResponseHandler Properties

| ResponseHandler Class

A simple response handler that stores the received response in a ResponseHandlerResult for further processing.
Inheritance Hierarchy
System
Object
AsterNET.Manager
ResponseHandler

Namespace: AsterNET.Manager
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class ResponseHandler : IResponseHandler

    Public Class ResponseHandler
    	Implements IResponseHandler

    public ref class ResponseHandler : IResponseHandler

    type ResponseHandler =
        class
            interface IResponseHandler
        end

The ResponseHandler type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| ResponseHandler | Creates a new instance.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| Free |
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| HandleResponse |
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
Properties

| Name | Description
--- | --- | ---
| Action |
| Hash |
| Response |

Top
See Also

#### Reference

AsterNET.Manager Namespace